{* //EditorHelper *}
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title></title>
</head>
<body>

<div id="header">
    <h2 style="float: left; width: 34%; text-align: left;">Editor Code Completion Helper v{$VERSION}</h2>
    <p style="float: left; width: 33%; text-align: center;"></p>
    <p style="float: right; width: 33%; text-align: right;">
        <button onclick="myFunction()">Copyright Information</button>
    </p>
</div>

<form name="controls" action="./index.php"
      method="POST"
      enctype="multipart/form-data"
      novalidate="novalidate">
    <input name="run" value="1" type="hidden">
    <input name="action" value="editorHelper" type="hidden">
    <input name="module" value="Administration" type="hidden">
    {sugar_csrf_form_token}
    <table style="width: 100%" border="1" cellpadding="10" cellspacing="1">
        <tbody>
        <tr>
            <td height="60" style="width: 42px; background: lightgrey;">
                <input name="mode" value="Normal" checked="checked"
                       type="radio"><br>
            </td>
            <td height="60" style="width: 119px; background: lightgrey;">Normal Mode<br>
            </td>
            <td height="60" style="width: 400px; background: lightgrey;">Core class files are updated - This is
                the preferred mode as it allows the editor to index the custom
                fields and relationships exactly the same way stock ones are
                indexed.&nbsp; It means that you do not have to change the way you
                work in any way.&nbsp; <br>
            </td>
        </tr>
        <tr>
            <td height="60"><input name="mode" value="Debug" type="radio"><br>
            </td>
            <td height="60">Debug Mode<br>
            </td>
            <td height="60">For debugging only. It creates class files in the core
                directories so you can compare them to the stock ones.&nbsp; These
                files will not be indexed by your editor and will not affect code
                completion.<br>
            </td>
        </tr>
        <tr>
            <td height="60" style="background: lightgrey;"><input name="mode" value="Custom" type="radio"><br>
            </td>
            <td height="60" style="background: lightgrey;">Custom Directory Mode<br>
            </td>
            <td height="60" style="background: lightgrey;">Class files are created in the custom directory.&nbsp; These
                are 'safe' as they are created in the custom directory but you have to
                tell your editor what class to use for each bean.&nbsp; Since we
                have this sweet little interface there is really no need for this
                extra step but I left it in just in case. <br>
                <br>You would have to decorate your BeanFactories like this<br>
                <span style="color: blue; font-family: monospace;">/** @var customAccount $bean **/</span><br><br>
                and your DocBlocks would look something like this<br>
                <span style="color: blue; font-family: monospace;">
                    /** <br>
                    &nbsp;&nbsp;&nbsp;&nbsp;@var customAccount|Account $bean <br>
                    **/</span><br><br>

                <span style="color: #ff2600;">If you have files like
                'custom/modules/customAccounts.php' then DO NOT USE THIS OPTION.</span></td>
        </tr>
        <tr>
            <td height="60"><input name="mode" value="Clean" type="radio"><br>
            </td>
            <td height="60">Cleaning Mode<br>
            </td>
            <td height="60">This removes all changes to all files made by this
                utility.<br>
            </td>
        </tr>
        </tbody>
    </table>
    <input name="Submit" value="Start" type="submit"><br>
</form>
<p><br>
<div id="copyright" style="display: none">
    Copyright 2020 Kenneth Brill ken.brill@gmail.com<br><br>

    Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
    documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
    rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
    permit persons to whom the Software is furnished to do so, subject to the following conditions:<br><br>

    The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
    Software.<br><br>

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
    WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
    OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
    OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.<br>
</div>
{literal}
    <script>
		function myFunction() {
			var x = document.getElementById("copyright");
			if (x.style.display === "none") {
				x.style.display = "block";
			} else {
				x.style.display = "none";
			}
		}

		app.alert.show('Warnings',
			{
				level: 'warning',
				title: "Back up your system before using this tool!",
				autoClose: false
			});

    </script>
{/literal}
</p>
</body>
</html>
